###################################################################################################
# Copyright 2013/2014 by Marcel Greter
# This file is part of OCBNET-CSS3 (GPL3)
####################################################################################################
package OCBNET::CSS3::DOM::Extended;
####################################################################################################
our $VERSION = '0.2.5';
####################################################################################################

use strict;
use warnings;

####################################################################################################
use base 'OCBNET::CSS3::DOM::Block';
####################################################################################################

# static getter
#**************************************************************************************************
sub type { return 'extended' }

####################################################################################################

use OCBNET::CSS3::DOM::Extended::Page;
use OCBNET::CSS3::DOM::Extended::Media;
use OCBNET::CSS3::DOM::Extended::Import;
use OCBNET::CSS3::DOM::Extended::Charset;
use OCBNET::CSS3::DOM::Extended::FontFace;
use OCBNET::CSS3::DOM::Extended::Supports;
use OCBNET::CSS3::DOM::Extended::Viewport;
use OCBNET::CSS3::DOM::Extended::Keyframes;
use OCBNET::CSS3::DOM::Extended::Namespace;

####################################################################################################

# add basic extended type with lowest priority
#**************************************************************************************************
push @OCBNET::CSS3::types, [
	qr/\A\s*\@/is,
	'OCBNET::CSS3::DOM::Extended',
	sub { !! $_[1] }
];

####################################################################################################
####################################################################################################
1;
